> ## Documentation Index
> Fetch the complete documentation index at: https://docs.argyle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete A Report

> Deletes a report object.




## OpenAPI

````yaml delete /v2/reports/{id}
openapi: 3.0.0
info:
  title: Reports API
  version: v2
  description: >
    Generate PDF summaries based on Argyle's data sets.


    Before generating a report:

    - To ensure full data availability, we recommend subscribing to the
    `reports.ready` webhook, which is sent when sufficient data has been
    retrieved to generate a verification report.

    - Depending on the data retrieval speed limits of the underlying payroll
    platform, it can take from a few seconds up to several minutes after a new
    account connection before enough data has been synced to generate a complete
    report.
        - Visit the [data availability](/api-guide/overview#data-availability) section of our API Guide for more information on the timing of data retrieval.

    After generating a report:

    - A new report object is created. Its `file_url` property contains a link to
    the PDF report, and the `accounts` array lists which accounts were used to
    generate the report.

    - The PDF report will also appear and can be downloaded within Console.

    Example reports:

    - [Verification of
    Employment](https://res.cloudinary.com/argyle-media/image/upload/v1726586839/docs-2024/voe-example.pdf)
    (PDF)

    - [Verification of Income and
    Employment](https://res.cloudinary.com/argyle-media/image/upload/v1726586839/docs-2024/voie-example.pdf)
    (PDF)
servers: []
security:
  - basicAuth: []
paths:
  /v2/reports/{id}:
    delete:
      summary: Delete a report
      description: |
        Deletes a report object.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: ID of the report object to be deleted.
      responses:
        '204':
          description: '204 status code: No content.'
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Username = api_key_id, Password = api_key_secret

````